import { cn } from "@/lib/utils"

function Skeleton({ className, ...props }: React.ComponentProps<"span">) {
  return (
    <span
      data-slot="skeleton"
      role="presentation"
      className={cn("block bg-accent animate-pulse rounded-md", className)}
      {...props}
    />
  )
}

export { Skeleton }
